Subject: Re: bug#49598: 28.0.50; [Feature Request] Support slurping and barfing operations in lisp-mode

From: Eduardo Ochs <[email-masked]>
Date: Fri, 16 Jul 2021 17:25:12 -0300

On Fri, 16 Jul 2021 at 13:14, Liang-Jie Lee <[email-masked]> wrote:
>
>
> Slurping is the operation to expand current S-expression by pulling in
> the next outer S-expression, for example (| is cursor):
>
> (foo (bar |baz) abc efg) -> (foo (bar |baz abc) efg)
>
> Barfing is the opposite, contracting the S-expression by pushing out
> it's last-most form, for example:
>
> (foo (bar |baz abc) efg) -> (foo (bar |baz) abc efg)
>
> These operations are provided by many third party packages like paredit,
> smartparen, lispy, etc. Many people find it useful (especially when
> you want to wrap several expressions into a `let` form), so I propose to
> have these operations built in.

Hint: if you change that to "How do I implement these operations? I am
using the modes such and such to edit Lisp" and send that changed
message to html-gnu-emacs you can have these functionalities in a few
hours or days instead of in a few months...

  Cheers,
    Eduardo Ochs
    http://angg.twu.net/#eev